%global debug_package   %{nil}
%global import_path     github.com/jteeuwen/go-bindata
%global commit          f94581bd91620d0ccd9c22bb1d2de13f6a605857
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           go-bindata
Version:        3.0.7
Release:        1.git%{shortcommit}%{?dist}
Summary:        A small utility which generates Go code from any file
License:        MIT
URL:            http://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/go-bindata-%{shortcommit}.tar.gz
ExclusiveArch:  %{ix86} x86_64 %{arm}
BuildRequires:  golang >= 1.3.3

%description
%{summary}

This tool converts any file into managable Go source code. Useful for
embedding binary data into a go program. The file data is optionally gzip
compressed before being converted to a raw byte slice.

%prep
%setup -n go-bindata-%{commit}

%build
mkdir -p ./_build/src/github.com/jteeuwen/
ln -s $(pwd) ./_build/src/github.com/jteeuwen/go-bindata
export GOPATH=$(pwd)/_build:%{gopath}
pushd ./go-bindata/
go build .
popd

%install
install -d -p %{buildroot}%{_bindir}
install -m 755 go-bindata/go-bindata %{buildroot}%{_bindir}/go-bindata

%files
%doc LICENSE README.md
%{_bindir}/go-bindata

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.git79847ab
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.git79847ab
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Oct 18 2013 Lokesh Mandvekar <lsm5@redhat.com>  0-0.4.git79847ab
- buildrequires golang

* Mon Oct 14 2013 Lokesh Mandvekar <lsm5@redhat.com>  0-0.3.git79847ab
- package name change to go-bindata

* Mon Oct 14 2013 Lokesh Mandvekar <lsm5@redhat.com>  0-0.2.git79847ab
- defattr removed
- only go-bindata installed, no devel package

* Sat Oct 12 2013 Lokesh Mandvekar <lsm5@redhat.com>  0-0.1.git79847ab
- Initial fedora package
